/////////////////////////////////////////////////////////////////////////////
// Module : IncSmad.h
// Usage  : Include this file in any C/C++ module that accesses SmartAD.DLL
/////////////////////////////////////////////////////////////////////////////

// Error codes returned by LinkDLL():
#define ERR_DLL_OPEN	-1		/* Can't find (or link to) DLL */
#define ERR_DLL_FUNC	-2		/* Can't find DLL function     */

// Shorthand macros for function pointers
#define SFPTR(FNAME)	( __stdcall *FNAME )

// Prototypes of open/close functions that must be called by the application.
long LinkDLL();			// Open link to DLL.
void UnLinkDLL();		// Close link to DLL.

// Pointers to functions that are exported by the DLL.
extern long		SFPTR( InetAtoN )			( char * );
extern void		SFPTR( InetNtoA )			( char *, long );
extern long		SFPTR( SetBoardAttr )		( long, long, long );
extern void		SFPTR( ResetBoard )			( long );
extern void		SFPTR( SetIoNetTimeout )	( long, long );
extern void		SFPTR( SetHiSpeedMode )		( long );
extern void		SFPTR( SetReject50Hz )		( long );
extern long		SFPTR( GetFaultFlags )		( long );
extern long		SFPTR( GetBoardAdrs )		( long );
extern long		SFPTR( GetFWVersion )		( long );
extern long		SFPTR( GetIoNetVersion )	( long );
extern long		SFPTR( ChkIoNetReset )		( long );
extern void		SFPTR( SetFailMode )		( long, long, long );
extern void		SFPTR( SetFilter )			( long, long, long );
extern void		SFPTR( SetSensorType )		( long, long, long );
extern double	SFPTR( GetAmbientTemp )		( long, long );
extern void		SFPTR( GetAllSensors )		( long, double * );
extern double	SFPTR( GetSensorData )		( long, long );
extern void		SFPTR( SetGageZero )		( long, long );
extern void		SFPTR( SetGageSpan )		( long, long, long );
extern void		SFPTR( SetGageTare )		( long, long );
extern void		SFPTR( GetGageCal )			( long, long, double *, short * );
extern void		SFPTR( SetGageCal )			( long, long, double, short );

// Sensor type codes used by SetSensorType() ---------------------------
									// Voltage Input Ranges:
#define TYP_VOLTS_10V			 1	//   10V
#define TYP_VOLTS_5V			 3	//   5V
#define TYP_VOLTS_500MV			 5	//   500mV
#define TYP_VOLTS_100MV			 6	//   100mV
									// Thermocouples:
#define TYP_TC_B				34	//   B
#define TYP_TC_C				33	//   C
#define TYP_TC_E				 8	//   E
#define TYP_TC_J				10	//   J
#define TYP_TC_K				12	//   K
#define TYP_TC_N				32	//   N
#define TYP_TC_R				18	//   R
#define TYP_TC_S				16	//   S
#define TYP_TC_T				14	//   T
									// RTDs:
#define TYP_RTD_10				41	//   10 ohm
#define TYP_RTD_120				35	//   120 nickel
#define TYP_RTD_200				36	//   200 nickel
#define TYP_RTD_385				20	//   385 platinum (full range)
#define TYP_RTD_392				22	//   392 platinum (full range)
#define TYP_RTD_1000			37	//   1K nickel
#define TYP_RTD_385_HIRES		38	//   385 platinum, HiRes (0.0125C resolution)
#define TYP_RTD_392_HIRES		39	//   392 platinum, HiRes (0.0125C resolution)
									// Thermistor:
#define TYP_THERMISTOR_10KX		24	//   10K with autoranging
#define TYP_THERMISTOR_10KFIX	40	//   10K with fixed high resistance range
									// Current Loop:
#define TYP_CURLOOP				25	//   4-20 mA
									// Gage:
#define TYP_GAGE				26	//   Strain/pressure gage
									// Resistance:
#define TYP_OHMS_400			27	//   400 ohm range
#define TYP_OHMS_4K				28	//   4K ohm range
#define TYP_OHMS_600K			29	//   600K ohm range
#define TYP_OHMS_CUSTOM			30	//   Custom resistive sensor
									// Disabled:
#define TYP_DISABLED			31	//   Remove from scan list
